%define name atftp
%define version 0.7
%define release %mkrel 2

Summary: Advanced Trivial File Transfer Protocol (TFTP) client
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   System/Servers
URL:     ftp://ftp.mamalinux.com/pub/atftp/

Source0: ftp://ftp.mamalinux.com/pub/atftp/%{name}-%{version}.tar.gz
Source1: atftpd.init.d
Source2: atftpd.sysconfig
Source3: atftpd.logrotate
Patch1:  atftp-0.7-inlines.patch.bz2
Patch2:  atftp-0.7.diff.bz2
Patch3:  atftp-CLK_TCK.diff.bz2
Patch4:  atftp-0.7_compiler_warnings.patch.bz2
Patch5:  atftp-0.7_thread_crash.patch.bz2
Patch6:  atftp-0.7_sol_ip.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libtermcap-devel, libpcre-devel, libncurses-devel
BuildRequires: libreadline-devel, tcp_wrappers-devel
Requires(pre): rpm-helper
Provides: tftp



%description
atftp is an advanced client implementation of the TFTP
protocol that implements RFCs 1350, 2090, 2347, 2348, and 2349.
The server is multi-threaded and the client presents a friendly
interface using libreadline. The current server implementation
lacks IPv6 support.

%package server
Summary: Advanced Trivial File Transfer Protocol (TFTP) server
Group: System/Servers
Requires: binutils, gawk, tcp_wrappers, logrotate
Requires(pre): rpm-helper

Conflicts: tftp-server

%description server
atftpd is an advanced server implementation of the TFTP
protocol that implements RFCs 1350, 2090, 2347, 2348, and 2349.
The server is multi-threaded and the client presents a friendly
interface using libreadline. The current server implementation
lacks IPv6 support.

%prep
%setup -q
%patch1 -p1
%patch2
%patch3
%patch4
%patch5
%patch6

### FIXME: Change location of pcre.h to pcre/pcre.h (Please fix upstream)
if [ -r %{_includedir}/pcre/pcre.h ]; then
	%{__perl} -pi.orig -e 's|\bpcre.h\b|pcre/pcre.h|' configure tftpd_pcre.h
fi

%{__cat} <<EOF >tftp.xinetd
# default: off
# description: The tftp server serves files using the trivial file transfer protocol. The tftp protocol is often used to boot diskless workstations, download configuration files to network-aware printers, and to start the installation process for some operating systems.
service tftp
{
	disable	= yes
	socket_type		= dgram
	protocol		= udp
	wait			= yes
	user			= root
	server			= %{_sbindir}/in.tftpd
	server_args		= %{_localstatedir}/tftpboot
	per_source		= 11
	cps			= 100 2
	flags			= IPv4
}
EOF

%build
autoreconf -fi
%configure \
	--disable-dependency-tracking \
	--enable-libreadline \
	--enable-libwrap \
	--enable-libpcre \
	--enable-mtftp
%serverbuild

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_logdir}/atftpd
install -d %{buildroot}%{_var}/run/atftpd

%makeinstall

%{__install} -Dp -m 0755 %{SOURCE1} %{buildroot}/%{_initrddir}/atftpd
%{__install} -Dp -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/atftpd
%{__install} -Dp -m 0644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/logrotate.d/atftpd
%{__install} -d %{buildroot}/%{_localstatedir}/tftpboot/
%{__install} -Dp -m0644 tftp.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/tftp
touch %{buildroot}%{_logdir}/atftpd/atftpd.log

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -n atftp-server
%_post_service atftpd

%preun -n atftp-server
%_preun_service atftpd

%files
%defattr(-, root, root, 0755)
%doc BUGS Changelog FAQ INSTALL LICENSE README* TODO
%doc %{_mandir}/man1/atftp.*
%{_bindir}/atftp

%files server
%defattr(-, root, root, 0755)
%doc docs/*
%doc %{_mandir}/man8/atftpd.*
%doc %{_mandir}/man8/in.tftpd.*
%dir %{_localstatedir}/tftpboot/
%dir %attr(755,nobody,nogroup) %{_var}/run/atftpd
%dir %attr(755,nobody,nogroup) %{_logdir}/atftpd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/xinetd.d/tftp
%config(noreplace) %attr(755,root,root) %{_initrddir}/atftpd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/sysconfig/atftpd
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/logrotate.d/atftpd
%{_sbindir}/atftpd
%{_sbindir}/in.tftpd
%attr(644,nobody,nogroup) %{_logdir}/atftpd/atftpd.log

%changelog
* Wed Aug  9 2006 Pixel <pixel@mandriva.com> 0.7-2mdv2007.0
- do not obsolete tftp-server (which is the default in main)
  (or at least ensure that if tftp-server was enabled, atftp-server is)

* Wed Jul 19 2006 Lenny Cartier <lenny@mandriva.com> 0.7-1mdv2007.0
- from pli <filib@laposte.net> : 
	- Initial mandriva package. (merge Debian & DAR & SUSE)
